Page MenuHomePhabricator

Go through default Kibana widgets; decide which ones are not relevant for us and remove them
Closed, DeclinedPublic

Description

Go through existing panels on https://wikimedia.biterg.io and check/decide which ones are not relevant for Wikimedia's needs and remove them.

As per 2017-03-24:

  • Overview
  • Git
    • "Commits by Timezone" (git_commits_timezone) feels unimportant but I'm unwilling to maintain a downstream change (C_) for this. Hence keep/ignore.
  • Gerrit
  • Gerrit-Backlog
  • Mailing Lists
  • IRC
    • "Last messages" and "Word Frequency" lists feel unimportant but I'm unwilling to maintain a downstream change (C_) for this. Hence keep/ignore.
  • Git-Demographics
    • Kill "Git Summary" (git_main_numbers), already on Git dashboard
  • MediaWiki
    • "Last edits" and "Last created" lists feel unimportant but I'm unwilling to maintain a downstream change (C_) for this. Hence keep/ignore.
  • Maniphest
    • "Assigned Organizations" (maniphest_issues_organizations_assignee, the pie chart) feels less interesting.
  • Maniphest Backlog
    • Potentially remove "Accumulated Time (days): Issues waiting to be closed" (maniphest_openissues_accumulated_backlog_time)? I don't see much useful information in that...
  • Maniphest Timing
    • Kill "Backlog" (maniphest_backlog) list of all items - no good use for us.
    • (Submitters is duplicated from Maniphest but useful for filtering)

Event Timeline

Didn't get to this in 2016 as GCI kept me too busy.
Also, this requires more knowledge how "stable" the widgets are (Bitergia is working on clarifying that).

Qgil moved this task from Backlog to Ready to Go on the wikimedia.biterg.io board.Jan 7 2017, 1:53 PM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Jan-Mar-2017) board.
Aklapper raised the priority of this task from Low to Normal.Feb 28 2017, 10:32 AM
Aklapper moved this task from Ready to Go to March on the Developer-Advocacy (Jan-Mar-2017) board.

Asked Bitergia for the naming scheme for custom widgets via email on 20170210. Pinged again on 20170309.

Aklapper raised the priority of this task from Normal to High.Mar 15 2017, 10:18 PM

This is better than I was afraid. :P
(Realized that having the same "list of code repositories" etc widget on several dashboards at first looks like duplication but one-click filtering the view is useful. Keep.)
Updating the task summary.

Might have some more changes here for similar widgets (see T160576) but I prefer to try getting them into upstream first.

Aklapper updated the task description. (Show Details)Mar 24 2017, 11:26 AM
Aklapper lowered the priority of this task from High to Low.Mar 29 2017, 6:30 PM

T138002 got fixed so three more dashboard to check, however this task has become lower priority as long as we still have numerous data quality bugs to sort out plus missing indexes/visualizations for T116572 (which would replace some of those widgets) and the open subtasks in T137997.

Aklapper updated the task description. (Show Details)Mar 31 2017, 6:41 PM
Aklapper updated the task description. (Show Details)Mar 31 2017, 7:38 PM
Aklapper lowered the priority of this task from Low to Lowest.Jun 30 2017, 4:57 PM

No urgency and not planning to work on this soon, hence moving to Developer-Advocacy Backlog

Aklapper raised the priority of this task from Lowest to Low.Dec 9 2017, 11:25 PM
Aklapper lowered the priority of this task from Low to Lowest.Dec 31 2017, 3:43 PM
Aklapper updated the task description. (Show Details)Jan 3 2018, 3:45 PM

Alright: Not going to remove ** Kill "Changeset Submitters" (gerrit_top_developers) list of names as it's easier to quickly query by clicking an item in that list

Aklapper closed this task as Declined.Jan 3 2018, 3:52 PM
Aklapper moved this task from Backlog to January on the Developer-Advocacy (Jan-Mar-2018) board.

Changing my mind obviously, as customizing creates maintenance costs.
I'd keep the MLs on the frontpage as it adds to the overall info when querying for activity of a specific user account.

Which leaves me with https://wikimedia.biterg.io/app/kibana#/dashboard/Maniphest-Timing where "maniphest_backlog" is not available anymore.

So this task is obsolete / declined.